@import '~purecss/build/pure.css';

body {
    background-color: black;
    @media screen and (max-width: 480px) {
    }
}

header {
    display: flex;
    align-items: center;
    img {
        width: 60px;
        margin-right: 30px;
    }
}

.top {
  background-image: url("assets/images/top-bg3.jpg");

  @media screen and (max-width: 480px) {
    border-bottom: 10px solid rgb(120,120,120);
    background-size: 480px;
    text-align: center;
    font-size: 40px;
    padding-top: 10px;
    color: white;
    font-weight: 600;
    font-family: monospace;
    display: block;
  }

  .firstBlock {
    display: block;
  }

  .secondBlock {
    display: flex;

    .topWeek {
      margin-left: auto;
      font-size: 60px;
      display: inline-block;
    }

    .burger {
      margin-left: auto;
      margin-right: auto;
      vertical-align: middle;
      display: flex;
      align-items: center;
      outline:none;
      background-color: transparent;
      border: none;
    }
  }

  .dropDownMenu {

    background-color: black;
    overflow: hidden;

    &.dropDownOpen {
      height: 250px;
      transition-property: height;
      transition-duration: 0.5s;
    }

    &.dropDownClosed {
      height: 0;
      transition-property: height;
      transition-duration: 0.5s;
    }

    ul {
      padding: 30px;
      margin: 0;
      list-style: none;
      text-align: left;
      font-family: sans-serif;
      font-size: 40px;

      li {
        .dropDownMenyButton {
          border: none;
          outline: none;
          background-color: transparent;
        }
      }
    }
  }

}


.body {
  background-color: rgb(255, 255, 255);

  @media screen and (max-width: 480px) {
    display: block;
    text-align: center;
    padding-bottom: 48px;
  }
}

.years {
  padding-top: 32px;
  font-size: 40px;

  .line {
    padding-bottom: 16px;
    display: block;
    text-align: center;

    .year_button {
      border: 1px solid rgb(50, 50, 50);;
      border-radius: 8px;
      width: 90%;
      background-color: rgb(255, 255, 255);
      padding: 10px;
      outline:none
    }
  }
}

.backArrow {
  display: inline-block;
  width: 50px;
  text-align: center;
  padding-left: 12px;
  padding-right: 12px;
  font-size: 60px;
}

.bodyTitle {
  display:inline-block;
  padding-left: 50px;
  font-size: 60px;
}

.year {
  padding-top: 32px;
  font-size: 40px;
  transition: all 1s ease-out;
}

.yearHeader {
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 32px;
  text-align: left;
}

.weekSquare {
  display: inline-block;
  width: 80px;
  text-align: center;
  padding-top: 16px;
  padding-bottom: 16px;
  font-size: 28px;

}

.week {
  font-size: 32px;
  .weekHeader {
    padding-top: 1rem;
    padding-bottom: 1rem;
    display: flex;
    vertical-align: middle;
    align-items: center;

    .backArrow {
      font-size: 32px;
    }

    .weekTitle {

    }
  }
}

.weekBody {
  font-size: 16px;
  text-align: left;
  font-family: sans-serif;
  padding-left: 2rem;
}

.day {
  margin-bottom: 2rem;
}





.footer {
  height: 100px;
  background-color: rgb(10, 11, 11);
  color: rgb(230, 230, 230);
  text-align: center;
  padding-top: 34px;
  font-family: fantasy;
}

// Desktop
.logo {
    background: url('assets/images/logo.png');
    width: 60px;
    height: 60px;
    background-size: cover;
}

.container {
    max-width: 600px;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    border-radius: 4px;
    padding: 1rem;
    background-color: rgb(62, 62, 62);
}

.block {
  margin-bottom: 1rem;
  background-color: #b8b8b8;
  border-radius: 4px;
  padding: 1rem;
}

.record {
  font-size: 16px;
}

.nowBlock {
  margin-bottom: 1rem;
  border-radius: 4px;
  padding: 1rem;
}

.now {
  span {
    font-size: 18px;
    border-radius: 12px;
    background-color: white;
    padding: 4px;
    margin-right: 12px;
    margin-bottom: 16px;
    display: inline-block;
  }
}

.validButtonEntry {
  background-color: green;
}

.invalidButtonEntry {
  background-color: grey;
}

.recordRow {
  margin-left: 2rem;
  margin-top: 8px;
}

.addRecordButton {
  border: 1px solid grey;
  margin-left: 2rem;
}

.open {
  margin-left: 3rem;
  height: 220px;
  transition-property: height;
  transition-duration: 0.5s;
  overflow: hidden;
}

.closed {
  margin-left: 3rem;
  height: 0;
  transition-property: height;
  transition-duration: 0.5s;
    overflow: hidden;
}

.addRecordBlock {
  margin-top: 8px;
}

.activityRowInNewList {
  margin-top: 8px;
}

// END
